# SansDAC
set_property PACKAGE_PIN W3 [get_ports gth0_txn_o]
set_property PACKAGE_PIN W4 [get_ports gth0_txp_o]
set_property PACKAGE_PIN Y1 [get_ports gth0_rxn_i]
set_property PACKAGE_PIN Y2 [get_ports gth0_rxp_i]
set_property PACKAGE_PIN U3 [get_ports gth1_txn_o]
set_property PACKAGE_PIN U4 [get_ports gth1_txp_o]
set_property PACKAGE_PIN V1 [get_ports gth1_rxn_i]
set_property PACKAGE_PIN V2 [get_ports gth1_rxp_i]

set_property PACKAGE_PIN T1 [get_ports sfp0_rxn_i]
set_property PACKAGE_PIN T2 [get_ports sfp0_rxp_i]
set_property PACKAGE_PIN R3 [get_ports sfp0_txn_o]
set_property PACKAGE_PIN R4 [get_ports sfp0_txp_o]

set_property PACKAGE_PIN N3 [get_ports sfp1_txn_o]
set_property PACKAGE_PIN N4 [get_ports sfp1_txp_o]
set_property PACKAGE_PIN P1 [get_ports sfp1_rxn_i]
set_property PACKAGE_PIN P2 [get_ports sfp1_rxp_i]

set_property IOSTANDARD LVCMOS33 [get_ports sfp0_scl_b]
set_property PACKAGE_PIN C12 [get_ports sfp0_scl_b]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_sda_b]
set_property PACKAGE_PIN A15 [get_ports sfp0_sda_b]

set_property IOSTANDARD LVCMOS33 [get_ports sfp1_scl_b]
set_property PACKAGE_PIN B15 [get_ports sfp1_scl_b]
set_property IOSTANDARD LVCMOS33 [get_ports sfp1_sda_b]
set_property PACKAGE_PIN D15 [get_ports sfp1_sda_b]

set_property IOSTANDARD LVDS [get_ports gth_bclk1_n_i]
set_property PACKAGE_PIN AF6 [get_ports gth_bclk1_n_i]
set_property IOSTANDARD LVDS [get_ports gth_bclk1_p_i]
set_property PACKAGE_PIN AF7 [get_ports gth_bclk1_p_i]
set_property IOSTANDARD LVDS [get_ports gth_bclk2_n_i]
set_property PACKAGE_PIN AF5 [get_ports gth_bclk2_n_i]
set_property IOSTANDARD LVDS [get_ports gth_bclk2_p_i]
set_property PACKAGE_PIN AE5 [get_ports gth_bclk2_p_i]

set_property IOSTANDARD LVCMOS18 [get_ports spi_mosi_o]
set_property PACKAGE_PIN N9 [get_ports spi_mosi_o]
set_property IOSTANDARD LVCMOS18 [get_ports spi_main_cs_n_o]
set_property PACKAGE_PIN N8 [get_ports spi_main_cs_n_o]
set_property IOSTANDARD LVCMOS18 [get_ports spi_sck_o]
set_property PACKAGE_PIN N7 [get_ports spi_sck_o]
set_property IOSTANDARD LVCMOS18 [get_ports spi_miso_i]
set_property PACKAGE_PIN P9 [get_ports spi_miso_i]

set_property IOSTANDARD LVCMOS33 [get_ports p2_rs485_d0_b]
set_property PACKAGE_PIN W10 [get_ports p2_rs485_d0_b]
set_property IOSTANDARD LVCMOS33 [get_ports p2_rs485_d1_b]
set_property PACKAGE_PIN Y10 [get_ports p2_rs485_d1_b]

#set_property PACKAGE_PIN Y5 [get_ports pcie_clk_n_i]
#set_property PACKAGE_PIN Y6 [get_ports pcie_clk_p_i]

set_property IOSTANDARD LVDS [get_ports wr_clk_main_125m_n_i]
set_property PACKAGE_PIN C2 [get_ports wr_clk_main_125m_n_i]
set_property IOSTANDARD LVDS [get_ports wr_clk_main_125m_p_i]
set_property PACKAGE_PIN C3 [get_ports wr_clk_main_125m_p_i]
set_property IOSTANDARD LVDS [get_ports fpga_pl_clksys_n_i]
set_property PACKAGE_PIN C4 [get_ports fpga_pl_clksys_n_i]
set_property IOSTANDARD LVDS [get_ports fpga_pl_clksys_p_i]
set_property PACKAGE_PIN D4 [get_ports fpga_pl_clksys_p_i]
set_property IOSTANDARD LVDS [get_ports wr_clk_aux_n_i]
set_property PACKAGE_PIN D6 [get_ports wr_clk_aux_n_i]
set_property IOSTANDARD LVDS [get_ports wr_clk_aux_p_i]
set_property PACKAGE_PIN D7 [get_ports wr_clk_aux_p_i]
set_property PACKAGE_PIN V5 [get_ports wr_clk_sfp_125m_n_i]
set_property PACKAGE_PIN V6 [get_ports wr_clk_sfp_125m_p_i]

set_property IOSTANDARD LVCMOS18 [get_ports eeprom_scl_b]
set_property PACKAGE_PIN C9 [get_ports eeprom_scl_b]
set_property IOSTANDARD LVCMOS18 [get_ports eeprom_sda_b]
set_property PACKAGE_PIN D9 [get_ports eeprom_sda_b]

set_property IOSTANDARD LVCMOS18 [get_ports p2_ttc_d0_o]
set_property PACKAGE_PIN D5 [get_ports p2_ttc_d0_o]
set_property IOSTANDARD LVCMOS18 [get_ports p2_ttc_d1_o]
set_property PACKAGE_PIN E5 [get_ports p2_ttc_d1_o]

set_property IOSTANDARD LVCMOS18 [get_ports {p0_turnclk_o[2]}]
set_property PACKAGE_PIN H8 [get_ports {p0_turnclk_o[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {p0_turnclk_o[1]}]
set_property PACKAGE_PIN M8 [get_ports {p0_turnclk_o[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {p0_bunchclk_o[2]}]
set_property PACKAGE_PIN J7 [get_ports {p0_bunchclk_o[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {p0_bunchclk_o[1]}]
set_property PACKAGE_PIN K9 [get_ports {p0_bunchclk_o[1]}]

set_property IOSTANDARD LVCMOS18 [get_ports uart_rxd_i]
set_property PACKAGE_PIN K7 [get_ports uart_rxd_i]
set_property IOSTANDARD LVCMOS18 [get_ports uart_txd_o]
set_property PACKAGE_PIN G8 [get_ports uart_txd_o]

# IO expanders
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_all_oe_n_o]
set_property PACKAGE_PIN F8 [get_ports ioexp_all_oe_n_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_all_rst_n_o]
set_property PACKAGE_PIN A2 [get_ports ioexp_all_rst_n_o]

set_property IOSTANDARD LVCMOS18 [get_ports ioexp_vme_sclk_o]
set_property PACKAGE_PIN A1 [get_ports ioexp_vme_sclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_vme_d_o]
set_property PACKAGE_PIN B3 [get_ports ioexp_vme_d_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_vme_rclk_o]
set_property PACKAGE_PIN A3 [get_ports ioexp_vme_rclk_o]

set_property IOSTANDARD LVCMOS18 [get_ports ioexp_fpio_rclk_o]
set_property PACKAGE_PIN A5 [get_ports ioexp_fpio_rclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_fpio_sclk_o]
set_property PACKAGE_PIN B5 [get_ports ioexp_fpio_sclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_fpio_d_o]
set_property PACKAGE_PIN A6 [get_ports ioexp_fpio_d_o]

set_property IOSTANDARD LVCMOS18 [get_ports ioexp_gpio_sclk_o]
set_property PACKAGE_PIN A7 [get_ports ioexp_gpio_sclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_gpio_rclk_o]
set_property PACKAGE_PIN B6 [get_ports ioexp_gpio_rclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_gpio_d_o]
set_property PACKAGE_PIN C7 [get_ports ioexp_gpio_d_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_gpio_q_i]
set_property PACKAGE_PIN H9 [get_ports ioexp_gpio_q_i]

set_property IOSTANDARD LVCMOS18 [get_ports ioexp_hwbyte1_rclk_o]
set_property PACKAGE_PIN L7 [get_ports ioexp_hwbyte1_rclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_hwbyte1_d_o]
set_property PACKAGE_PIN AE8 [get_ports ioexp_hwbyte1_d_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_hwbyte2_rclk_o]
set_property PACKAGE_PIN L1 [get_ports ioexp_hwbyte2_rclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports ioexp_hwbyte2_d_o]
set_property PACKAGE_PIN V9 [get_ports ioexp_hwbyte2_d_o]

set_property IOSTANDARD LVCMOS18 [get_ports wr_pps_o]
set_property PACKAGE_PIN B4 [get_ports wr_pps_o]
set_property IOSTANDARD LVCMOS18 [get_ports wr_abscal_o]
set_property PACKAGE_PIN A4 [get_ports wr_abscal_o]

set_property IOSTANDARD LVCMOS18 [get_ports fp_led0_o]
set_property PACKAGE_PIN B8 [get_ports fp_led0_o]
set_property IOSTANDARD LVCMOS18 [get_ports fp_led1_o]
set_property PACKAGE_PIN A8 [get_ports fp_led1_o]
set_property IOSTANDARD LVCMOS18 [get_ports pp_led0_o]
set_property PACKAGE_PIN A9 [get_ports pp_led0_o]
set_property IOSTANDARD LVCMOS18 [get_ports pp_led1_o]
set_property PACKAGE_PIN B9 [get_ports pp_led1_o]
set_property IOSTANDARD LVCMOS33 [get_ports sfp_led_o]
set_property PACKAGE_PIN A10 [get_ports sfp_led_o]
set_property IOSTANDARD LVCMOS33 [get_ports led_sfp0_green_o]
set_property PACKAGE_PIN D10 [get_ports led_sfp0_green_o]
set_property IOSTANDARD LVCMOS33 [get_ports led_sfp0_yellow_o]
set_property PACKAGE_PIN E10 [get_ports led_sfp0_yellow_o]
set_property IOSTANDARD LVCMOS33 [get_ports led_sfp1_green_o]
set_property PACKAGE_PIN D11 [get_ports led_sfp1_green_o]
set_property IOSTANDARD LVCMOS33 [get_ports led_sfp1_yellow_o]
set_property PACKAGE_PIN H12 [get_ports led_sfp1_yellow_o]

# VME
set_property IOSTANDARD LVCMOS33 [get_ports vme_as_dir_o]
set_property PACKAGE_PIN F12 [get_ports vme_as_dir_o]
set_property IOSTANDARD LVCMOS33 [get_ports vme_as_oe_n_o]
set_property PACKAGE_PIN AH10 [get_ports vme_as_oe_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports vme_as_n_b]
set_property PACKAGE_PIN AH14 [get_ports vme_as_n_b]

set_property IOSTANDARD LVCMOS33 [get_ports vme_write_n_b]
set_property PACKAGE_PIN A11 [get_ports vme_write_n_b]

set_property IOSTANDARD LVCMOS33 [get_ports vme_addr_dir_o]
set_property PACKAGE_PIN E15 [get_ports vme_addr_dir_o]
set_property IOSTANDARD LVCMOS33 [get_ports vme_addr_oe_n_o]
set_property PACKAGE_PIN K14 [get_ports vme_addr_oe_n_o]

set_property IOSTANDARD LVCMOS33 [get_ports vme_lword_n_b]
set_property PACKAGE_PIN W12 [get_ports vme_lword_n_b]

set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[1]}]
set_property PACKAGE_PIN Y12 [get_ports {vme_addr_b[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[2]}]
set_property PACKAGE_PIN L13 [get_ports {vme_addr_b[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[3]}]
set_property PACKAGE_PIN L14 [get_ports {vme_addr_b[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[4]}]
set_property PACKAGE_PIN AD12 [get_ports {vme_addr_b[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[5]}]
set_property PACKAGE_PIN AE13 [get_ports {vme_addr_b[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[6]}]
set_property PACKAGE_PIN AE14 [get_ports {vme_addr_b[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[7]}]
set_property PACKAGE_PIN AB11 [get_ports {vme_addr_b[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[8]}]
set_property PACKAGE_PIN AB13 [get_ports {vme_addr_b[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[9]}]
set_property PACKAGE_PIN AA12 [get_ports {vme_addr_b[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[10]}]
set_property PACKAGE_PIN Y9 [get_ports {vme_addr_b[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[11]}]
set_property PACKAGE_PIN AD11 [get_ports {vme_addr_b[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[12]}]
set_property PACKAGE_PIN AA8 [get_ports {vme_addr_b[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[13]}]
set_property PACKAGE_PIN AA10 [get_ports {vme_addr_b[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[14]}]
set_property PACKAGE_PIN AB9 [get_ports {vme_addr_b[14]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[15]}]
set_property PACKAGE_PIN AB10 [get_ports {vme_addr_b[15]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[16]}]
set_property PACKAGE_PIN AD10 [get_ports {vme_addr_b[16]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[17]}]
set_property PACKAGE_PIN AF10 [get_ports {vme_addr_b[17]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[18]}]
set_property PACKAGE_PIN AE10 [get_ports {vme_addr_b[18]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[19]}]
set_property PACKAGE_PIN AF11 [get_ports {vme_addr_b[19]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[20]}]
set_property PACKAGE_PIN A13 [get_ports {vme_addr_b[20]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[21]}]
set_property PACKAGE_PIN A12 [get_ports {vme_addr_b[21]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[22]}]
set_property PACKAGE_PIN H13 [get_ports {vme_addr_b[22]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[23]}]
set_property PACKAGE_PIN G13 [get_ports {vme_addr_b[23]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[24]}]
set_property PACKAGE_PIN G11 [get_ports {vme_addr_b[24]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[25]}]
set_property PACKAGE_PIN K12 [get_ports {vme_addr_b[25]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[26]}]
set_property PACKAGE_PIN J12 [get_ports {vme_addr_b[26]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[27]}]
set_property PACKAGE_PIN K13 [get_ports {vme_addr_b[27]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[28]}]
set_property PACKAGE_PIN C13 [get_ports {vme_addr_b[28]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[29]}]
set_property PACKAGE_PIN D14 [get_ports {vme_addr_b[29]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[30]}]
set_property PACKAGE_PIN E14 [get_ports {vme_addr_b[30]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_addr_b[31]}]
set_property PACKAGE_PIN G14 [get_ports {vme_addr_b[31]}]

set_property IOSTANDARD LVCMOS18 [get_ports vme_data_dir_o]
set_property PACKAGE_PIN AE3 [get_ports vme_data_dir_o]
set_property IOSTANDARD LVCMOS18 [get_ports vme_data_oe_n_o]
set_property PACKAGE_PIN AC9 [get_ports vme_data_oe_n_o]

set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[0]}]
set_property PACKAGE_PIN AG9 [get_ports {vme_data_b[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[1]}]
set_property PACKAGE_PIN AH9 [get_ports {vme_data_b[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[2]}]
set_property PACKAGE_PIN AC7 [get_ports {vme_data_b[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[3]}]
set_property PACKAGE_PIN AC8 [get_ports {vme_data_b[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[4]}]
set_property PACKAGE_PIN AH7 [get_ports {vme_data_b[4]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[5]}]
set_property PACKAGE_PIN AC6 [get_ports {vme_data_b[5]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[6]}]
set_property PACKAGE_PIN AG6 [get_ports {vme_data_b[6]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[7]}]
set_property PACKAGE_PIN AG5 [get_ports {vme_data_b[7]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[8]}]
set_property PACKAGE_PIN AB6 [get_ports {vme_data_b[8]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[9]}]
set_property PACKAGE_PIN AH4 [get_ports {vme_data_b[9]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[10]}]
set_property PACKAGE_PIN AD5 [get_ports {vme_data_b[10]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[11]}]
set_property PACKAGE_PIN AG4 [get_ports {vme_data_b[11]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[12]}]
set_property PACKAGE_PIN AH3 [get_ports {vme_data_b[12]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[13]}]
set_property PACKAGE_PIN AG3 [get_ports {vme_data_b[13]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[14]}]
set_property PACKAGE_PIN AF3 [get_ports {vme_data_b[14]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[15]}]
set_property PACKAGE_PIN AF2 [get_ports {vme_data_b[15]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[16]}]
set_property PACKAGE_PIN AH2 [get_ports {vme_data_b[16]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[17]}]
set_property PACKAGE_PIN AH1 [get_ports {vme_data_b[17]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[18]}]
set_property PACKAGE_PIN AG1 [get_ports {vme_data_b[18]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[19]}]
set_property PACKAGE_PIN AF1 [get_ports {vme_data_b[19]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[20]}]
set_property PACKAGE_PIN AD1 [get_ports {vme_data_b[20]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[21]}]
set_property PACKAGE_PIN AC1 [get_ports {vme_data_b[21]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[22]}]
set_property PACKAGE_PIN AB1 [get_ports {vme_data_b[22]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[23]}]
set_property PACKAGE_PIN AH8 [get_ports {vme_data_b[23]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[24]}]
set_property PACKAGE_PIN AG8 [get_ports {vme_data_b[24]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[25]}]
set_property PACKAGE_PIN AH6 [get_ports {vme_data_b[25]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[26]}]
set_property PACKAGE_PIN AE9 [get_ports {vme_data_b[26]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[27]}]
set_property PACKAGE_PIN AF8 [get_ports {vme_data_b[27]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[28]}]
set_property PACKAGE_PIN AD9 [get_ports {vme_data_b[28]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[29]}]
set_property PACKAGE_PIN AD7 [get_ports {vme_data_b[29]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[30]}]
set_property PACKAGE_PIN AB8 [get_ports {vme_data_b[30]}]
set_property IOSTANDARD LVCMOS18 [get_ports {vme_data_b[31]}]
set_property PACKAGE_PIN AE4 [get_ports {vme_data_b[31]}]

set_property IOSTANDARD LVCMOS33 [get_ports vme_ds_oe_o]
set_property PACKAGE_PIN D12 [get_ports vme_ds_oe_o]

set_property IOSTANDARD LVCMOS33 [get_ports {vme_ds_n_i[0]}]
set_property PACKAGE_PIN AE12 [get_ports {vme_ds_n_i[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_ds_n_o[0]}]
set_property PACKAGE_PIN AF12 [get_ports {vme_ds_n_o[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_ds_n_o[1]}]
set_property PACKAGE_PIN AF13 [get_ports {vme_ds_n_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_ds_n_i[1]}]
set_property PACKAGE_PIN AG13 [get_ports {vme_ds_n_i[1]}]

set_property IOSTANDARD LVCMOS33 [get_ports vme_dtack_oe_o]
set_property PACKAGE_PIN F15 [get_ports vme_dtack_oe_o]
set_property IOSTANDARD LVCMOS33 [get_ports vme_dtack_n_i]
set_property PACKAGE_PIN G15 [get_ports vme_dtack_n_i]
set_property IOSTANDARD LVCMOS33 [get_ports vme_dtack_n_o]
set_property PACKAGE_PIN H14 [get_ports vme_dtack_n_o]

set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[0]}]
set_property PACKAGE_PIN AE2 [get_ports {userio_b[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[1]}]
set_property PACKAGE_PIN AD4 [get_ports {userio_b[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[2]}]
set_property PACKAGE_PIN AD2 [get_ports {userio_b[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[3]}]
set_property PACKAGE_PIN AC3 [get_ports {userio_b[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[4]}]
set_property PACKAGE_PIN AC2 [get_ports {userio_b[4]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[5]}]
set_property PACKAGE_PIN AB3 [get_ports {userio_b[5]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[6]}]
set_property PACKAGE_PIN AB2 [get_ports {userio_b[6]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[7]}]
set_property PACKAGE_PIN AB4 [get_ports {userio_b[7]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[8]}]
set_property PACKAGE_PIN E8 [get_ports {userio_b[8]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[9]}]
set_property PACKAGE_PIN AC4 [get_ports {userio_b[9]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[10]}]
set_property PACKAGE_PIN W8 [get_ports {userio_b[10]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[11]}]
set_property PACKAGE_PIN AB5 [get_ports {userio_b[11]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[12]}]
set_property PACKAGE_PIN Y8 [get_ports {userio_b[12]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[13]}]
set_property PACKAGE_PIN V8 [get_ports {userio_b[13]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[14]}]
set_property PACKAGE_PIN T6 [get_ports {userio_b[14]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[15]}]
set_property PACKAGE_PIN U8 [get_ports {userio_b[15]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[16]}]
set_property PACKAGE_PIN T7 [get_ports {userio_b[16]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[17]}]
set_property PACKAGE_PIN R6 [get_ports {userio_b[17]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[18]}]
set_property PACKAGE_PIN R7 [get_ports {userio_b[18]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[19]}]
set_property PACKAGE_PIN P6 [get_ports {userio_b[19]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[20]}]
set_property PACKAGE_PIN P7 [get_ports {userio_b[20]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[21]}]
set_property PACKAGE_PIN N6 [get_ports {userio_b[21]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[22]}]
set_property PACKAGE_PIN J4 [get_ports {userio_b[22]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[23]}]
set_property PACKAGE_PIN L5 [get_ports {userio_b[23]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[24]}]
set_property PACKAGE_PIN L3 [get_ports {userio_b[24]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[25]}]
set_property PACKAGE_PIN K4 [get_ports {userio_b[25]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[26]}]
set_property PACKAGE_PIN K3 [get_ports {userio_b[26]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[27]}]
set_property PACKAGE_PIN J5 [get_ports {userio_b[27]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[28]}]
set_property PACKAGE_PIN L6 [get_ports {userio_b[28]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[29]}]
set_property PACKAGE_PIN G5 [get_ports {userio_b[29]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[30]}]
set_property PACKAGE_PIN M6 [get_ports {userio_b[30]}]
set_property IOSTANDARD LVCMOS18 [get_ports {userio_b[31]}]
set_property PACKAGE_PIN E7 [get_ports {userio_b[31]}]

set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[0]}]
set_property PACKAGE_PIN J9 [get_ports {fp_io_b[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[1]}]
set_property PACKAGE_PIN E9 [get_ports {fp_io_b[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[2]}]
set_property PACKAGE_PIN K8 [get_ports {fp_io_b[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[3]}]
set_property PACKAGE_PIN C6 [get_ports {fp_io_b[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[4]}]
set_property PACKAGE_PIN F7 [get_ports {fp_io_b[4]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[5]}]
set_property PACKAGE_PIN F6 [get_ports {fp_io_b[5]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[6]}]
set_property PACKAGE_PIN F5 [get_ports {fp_io_b[6]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[7]}]
set_property PACKAGE_PIN E4 [get_ports {fp_io_b[7]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[8]}]
set_property PACKAGE_PIN C1 [get_ports {fp_io_b[8]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[9]}]
set_property PACKAGE_PIN B1 [get_ports {fp_io_b[9]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[10]}]
set_property PACKAGE_PIN D2 [get_ports {fp_io_b[10]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[11]}]
set_property PACKAGE_PIN D1 [get_ports {fp_io_b[11]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[12]}]
set_property PACKAGE_PIN E2 [get_ports {fp_io_b[12]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[13]}]
set_property PACKAGE_PIN E1 [get_ports {fp_io_b[13]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[14]}]
set_property PACKAGE_PIN F2 [get_ports {fp_io_b[14]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[15]}]
set_property PACKAGE_PIN F1 [get_ports {fp_io_b[15]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[16]}]
set_property PACKAGE_PIN G1 [get_ports {fp_io_b[16]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[17]}]
set_property PACKAGE_PIN H2 [get_ports {fp_io_b[17]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[18]}]
set_property PACKAGE_PIN H1 [get_ports {fp_io_b[18]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[19]}]
set_property PACKAGE_PIN J2 [get_ports {fp_io_b[19]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[20]}]
set_property PACKAGE_PIN J1 [get_ports {fp_io_b[20]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[21]}]
set_property PACKAGE_PIN K2 [get_ports {fp_io_b[21]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[22]}]
set_property PACKAGE_PIN K1 [get_ports {fp_io_b[22]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[23]}]
set_property PACKAGE_PIN L2 [get_ports {fp_io_b[23]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[24]}]
set_property PACKAGE_PIN F3 [get_ports {fp_io_b[24]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[25]}]
set_property PACKAGE_PIN E3 [get_ports {fp_io_b[25]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[26]}]
set_property PACKAGE_PIN G6 [get_ports {fp_io_b[26]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[27]}]
set_property PACKAGE_PIN H6 [get_ports {fp_io_b[27]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[28]}]
set_property PACKAGE_PIN G3 [get_ports {fp_io_b[28]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[29]}]
set_property PACKAGE_PIN H4 [get_ports {fp_io_b[29]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[30]}]
set_property PACKAGE_PIN H3 [get_ports {fp_io_b[30]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_io_b[31]}]
set_property PACKAGE_PIN H7 [get_ports {fp_io_b[31]}]

set_property IOSTANDARD LVCMOS33 [get_ports {vme_am_b[0]}]
set_property PACKAGE_PIN Y14 [get_ports {vme_am_b[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_am_b[1]}]
set_property PACKAGE_PIN AB14 [get_ports {vme_am_b[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_am_b[2]}]
set_property PACKAGE_PIN Y13 [get_ports {vme_am_b[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_am_b[3]}]
set_property PACKAGE_PIN AC14 [get_ports {vme_am_b[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_am_b[4]}]
set_property PACKAGE_PIN AG14 [get_ports {vme_am_b[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_am_b[5]}]
set_property PACKAGE_PIN AD14 [get_ports {vme_am_b[5]}]

set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_n_i[1]}]
set_property PACKAGE_PIN W11 [get_ports {vme_irq_n_i[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_o[1]}]
set_property PACKAGE_PIN B11 [get_ports {vme_irq_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_n_i[2]}]
set_property PACKAGE_PIN B13 [get_ports {vme_irq_n_i[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_o[2]}]
set_property PACKAGE_PIN A14 [get_ports {vme_irq_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_n_i[3]}]
set_property PACKAGE_PIN J14 [get_ports {vme_irq_n_i[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_o[3]}]
set_property PACKAGE_PIN E12 [get_ports {vme_irq_o[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_n_i[4]}]
set_property PACKAGE_PIN E13 [get_ports {vme_irq_n_i[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_o[4]}]
set_property PACKAGE_PIN F10 [get_ports {vme_irq_o[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_n_i[5]}]
set_property PACKAGE_PIN AA11 [get_ports {vme_irq_n_i[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_o[5]}]
set_property PACKAGE_PIN AC11 [get_ports {vme_irq_o[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_n_i[6]}]
set_property PACKAGE_PIN AA13 [get_ports {vme_irq_n_i[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_o[6]}]
set_property PACKAGE_PIN AC12 [get_ports {vme_irq_o[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_n_i[7]}]
set_property PACKAGE_PIN AG10 [get_ports {vme_irq_n_i[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {vme_irq_o[7]}]
set_property PACKAGE_PIN AC13 [get_ports {vme_irq_o[7]}]

set_property IOSTANDARD LVCMOS33 [get_ports vme_iack_n_i]
set_property PACKAGE_PIN AG11 [get_ports vme_iack_n_i]
set_property IOSTANDARD LVCMOS33 [get_ports vme_iack_n_o]
set_property PACKAGE_PIN AH11 [get_ports vme_iack_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports vme_iack_oe_o]
set_property PACKAGE_PIN AH13 [get_ports vme_iack_oe_o]

set_property IOSTANDARD LVCMOS33 [get_ports vme_iackin_n_i]
set_property PACKAGE_PIN J10 [get_ports vme_iackin_n_i]
set_property IOSTANDARD LVCMOS33 [get_ports vme_iackout_n_o]
set_property PACKAGE_PIN G10 [get_ports vme_iackout_n_o]

set_property IOSTANDARD LVCMOS33 [get_ports vme_br3_o]
set_property PACKAGE_PIN B10 [get_ports vme_br3_o]
set_property IOSTANDARD LVCMOS33 [get_ports vme_bg3in_n_i]
set_property PACKAGE_PIN B14 [get_ports vme_bg3in_n_i]
set_property IOSTANDARD LVCMOS33 [get_ports vme_bg3out_n_o]
set_property PACKAGE_PIN C14 [get_ports vme_bg3out_n_o]

set_property IOSTANDARD LVCMOS33 [get_ports vme_bbsy_oe_o]
set_property PACKAGE_PIN H11 [get_ports vme_bbsy_oe_o]
set_property IOSTANDARD LVCMOS33 [get_ports vme_bbsy_n_i]
set_property PACKAGE_PIN AE15 [get_ports vme_bbsy_n_i]

#TODO
#set_property IOSTANDARD LVCMOS18 [get_ports perst_n_i]
#set_property PACKAGE_PIN L8 [get_ports perst_n_i]

set_property IOSTANDARD LVCMOS33 [get_ports vme_sysreset_n_b]
set_property PACKAGE_PIN W13 [get_ports vme_sysreset_n_b]

#set_property IOSTANDARD LVCMOS33 [get_ports mio_sysreset_n_b]
#set_property PACKAGE_PIN G16 [get_ports mio_sysreset_n_b]

set_property IOSTANDARD LVCMOS33 [get_ports vme_sysclk_b]
set_property PACKAGE_PIN AH12 [get_ports vme_sysclk_b]

set_property IOSTANDARD LVCMOS33 [get_ports vme_retry_oe_o]
set_property PACKAGE_PIN C11 [get_ports vme_retry_oe_o]
set_property IOSTANDARD LVCMOS33 [get_ports vme_retry_n_o]
set_property PACKAGE_PIN W14 [get_ports vme_retry_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports vme_retry_n_i]
set_property PACKAGE_PIN AB15 [get_ports vme_retry_n_i]

set_property IOSTANDARD LVCMOS33 [get_ports vme_berr_n_i]
set_property PACKAGE_PIN AD15 [get_ports vme_berr_n_i]
set_property IOSTANDARD LVCMOS33 [get_ports vme_berr_oe_o]
set_property PACKAGE_PIN F11 [get_ports vme_berr_oe_o]
